Skip to main content
POST
/
dr
/
v1
/
appointment
/
{appointment_id}
/
complete
Complete Appointment
curl --request POST \
  --url https://api.eka.care/dr/v1/appointment/{appointment_id}/complete \
  --header 'auth: <auth>'
import requests

url = "https://api.eka.care/dr/v1/appointment/{appointment_id}/complete"

headers = {"auth": "<auth>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {auth: '<auth>'}};

fetch('https://api.eka.care/dr/v1/appointment/{appointment_id}/complete', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "error": {
    "code": "INVALID_REQUEST",
    "message": "The request is invalid or missing required parameters"
  }
}
{
  "error": {
    "code": "COMPLETE_NOT_ALLOWED",
    "message": "You do not have permission to cancel this appointment"
  }
}
{
  "error": {
    "code": "APPOINTMENT_NOT_FOUND",
    "message": "The specified appointment ID does not exist"
  }
}
{
  "error": {
    "code": "SERVER_ERROR",
    "message": "An unexpected error occurred on the server"
  }
}

Headers

auth
string
required
Example:

"auth"

Path Parameters

appointment_id
string
required

Query Parameters

partner_id
string
required

If set to 1 then appointment_id in path parameter should be partner_appointment_id else eka apppointment_id

Example:

"1"

Response

OK